Class Specialization
Bit Packed Tuple
A plain fixed-length string. Saves memory by packing bits.

Tuple

Bit Packed Tuple

Tuple<T, SIZE, Compressed>
Include Headers
seqan/basic.h
Parameters

T | The value type, that is the type of characters stored in the tuple.
SIZE | The size/length of the tuple. Remarks: In contrast to String the length of Tuple is fixed.

Remarks
Only useful for small alphabets and small tuple sizes (|Sigma|^size <= 2^64) as for Dna or AminoAcid m-grams)
Specialization of
Tuple
Metafunctions

LENGTH | Number of elements in a fixed-size container. (Tuple)

See Also
Sampler
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50